Package com.massivecraft.factions.cmd

## Class FCmdRoot

- java.lang.Object
- - com.massivecraft.factions.cmd.FCommand
  - - com.massivecraft.factions.cmd.FCmdRoot

All Implemented Interfaces:
  `org.bukkit.command.CommandExecutor`

    public class FCmdRoot
    extends FCommand
    implements org.bukkit.command.CommandExecutor

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`BrigadierManager` | `brigadierManager` |
`CmdAdmin` | `cmdAdmin` |
`CmdAHome` | `cmdAHome` |
`CmdAlts` | `cmdAlts` |
`CmdAnnounce` | `cmdAnnounce` |
`CmdAutoClaim` | `cmdAutoClaim` |
`CmdBan` | `cmdban` |
`CmdBanlist` | `cmdbanlist` |
`CmdBanner` | `cmdBanner` |
`CmdBoom` | `cmdBoom` |
`CmdBypass` | `cmdBypass` |
`CmdChat` | `cmdChat` |
`CmdChatSpy` | `cmdChatSpy` |
`CmdCheck` | `cmdCheck` |
`CmdCheckpoint` | `cmdCheckpoint` |
`CmdChest` | `cmdChest` |
`CmdClaim` | `cmdClaim` |
`CmdClaimAt` | `cmdClaimAt` |
`CmdClaimLine` | `cmdClaimLine` |
`CmdColeader` | `cmdColeader` |
`CmdConfig` | `cmdConfig` |
`CmdConvert` | `cmdConvert` |
`CmdConvertConfig` | `cmdConvertConfig` |
`CmdCoords` | `cmdCoords` |
`CmdCorner` | `cmdCorner` |
`CmdCreate` | `cmdCreate` |
`CmdDeinvite` | `cmdDeinvite` |
`CmdDelFWarp` | `cmdDelFWarp` |
`CmdDemote` | `cmdDemote` |
`CmdDescription` | `cmdDescription` |
`CmdDisband` | `cmdDisband` |
`CmdFGlobal` | `cmdFGlobal` |
`CmdFly` | `cmdFly` |
`CmdFocus` | `cmdFocus` |
`CmdFWarp` | `cmdFWarp` |
`CmdGetVault` | `cmdGetVault` |
`CmdGrace` | `cmdGrace` |
`CmdHelp` | `cmdHelp` |
`CmdHome` | `cmdHome` |
`CmdInspect` | `cmdInspect` |
`CmdInventorySee` | `cmdInventorySee` |
`CmdInvite` | `cmdInvite` |
`CmdInviteBot` | `cmdInviteBot` |
`CmdJoin` | `cmdJoin` |
`CmdKick` | `cmdKick` |
`CmdKillHolograms` | `cmdKillHolograms` |
`CmdLeave` | `cmdLeave` |
`CmdList` | `cmdList` |
`CmdLock` | `cmdLock` |
`CmdLogins` | `cmdLogins` |
`CmdLogout` | `cmdLogout` |
`CmdLowPower` | `cmdLowPower` |
`CmdMap` | `cmdMap` |
`CmdMapHeight` | `cmdMapHeight` |
`CmdMissions` | `cmdMissions` |
`CmdMod` | `cmdMod` |
`CmdModifyPower` | `cmdModifyPower` |
`CmdMoney` | `cmdMoney` |
`CmdNear` | `cmdNear` |
`CmdOpen` | `cmdOpen` |
`CmdOwner` | `cmdOwner` |
`CmdOwnerList` | `cmdOwnerList` |
`CmdPaypalSee` | `cmdPaypalSee` |
`CmdPaypalSet` | `cmdPaypalSet` |
`CmdPeaceful` | `cmdPeaceful` |
`CmdPerm` | `cmdPerm` |
`CmdPermanent` | `cmdPermanent` |
`CmdPermanentPower` | `cmdPermanentPower` |
`CmdPoints` | `cmdPoints` |
`CmdPower` | `cmdPower` |
`CmdPowerBoost` | `cmdPowerBoost` |
`CmdPromote` | `cmdPromote` |
`CmdRelationAlly` | `cmdRelationAlly` |
`CmdRelationEnemy` | `cmdRelationEnemy` |
`CmdRelationNeutral` | `cmdRelationNeutral` |
`CmdRelationTruce` | `cmdRelationTruce` |
`CmdReload` | `cmdReload` |
`CmdRules` | `cmdRules` |
`CmdSafeunclaimall` | `cmdSafeunclaimall` |
`CmdSaveAll` | `cmdSaveAll` |
`CmdSB` | `cmdSB` |
`CmdSeeChunk` | `cmdSeeChunk` |
`CmdSeeDiscord` | `cmdSeeDiscord` |
`CmdSetBanner` | `cmdSetBanner` |
`CmdSetDefaultRole` | `cmdSetDefaultRole` |
`CmdSetDiscord` | `cmdSetDiscord` |
`CmdSetFWarp` | `cmdSetFWarp` |
`CmdSetGuild` | `cmdSetGuild` |
`CmdSethome` | `cmdSethome` |
`CmdShop` | `cmdShop` |
`CmdShow` | `cmdShow` |
`CmdShowClaims` | `cmdShowClaims` |
`CmdShowInvites` | `cmdShowInvites` |
`CmdSpawnerLock` | `cmdSpawnerLock` |
`CmdStatus` | `cmdStatus` |
`CmdStealth` | `cmdStealth` |
`CmdStrikes` | `cmdStrikes` |
`CmdStuck` | `cmdStuck` |
`CmdTag` | `cmdTag` |
`CmdTitle` | `cmdTitle` |
`CmdTnt` | `cmdTnt` |
`CmdTntFill` | `cmdTntFill` |
`CmdToggleAllianceChat` | `cmdToggleAllianceChat` |
`CmdTop` | `cmdTop` |
`CmdTpBanner` | `cmdTpBanner` |
`CmdUnban` | `cmdUnban` |
`CmdUnclaim` | `cmdUnclaim` |
`CmdUnclaimall` | `cmdUnclaimall` |
`CmdUpgrades` | `cmdUpgrades` |
`CmdVault` | `cmdVault` |
`CmdVersion` | `cmdVersion` |
`CmdViewChest` | `cmdViewChest` |
`CmdWarunclaimall` | `cmdWarunclaimall` |
`CmdWeeWoo` | `cmdWeeWoo` |

### Fields inherited from class com.massivecraft.factions.cmd.FCommand

`aliases, helpLong, optionalArgs, requiredArgs, requirements, sdf, subCommands, visibility`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FCmdRoot()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addSubCommand​(FCommand subCommand)` |
`TL` | `getUsageTranslation()` |
`boolean` | `onCommand​(org.bukkit.command.CommandSender sender, org.bukkit.command.Command command, java.lang.String label, java.lang.String[] args)` |
`void` | `perform​(CommandContext context)` |

### Methods inherited from class com.massivecraft.factions.cmd.FCommand

`execute, getHelpShort, getToolTips, getToolTips, getUsageTemplate, getUsageTemplate, isEnabled, replaceFactionTags, replaceFPlayerTags, setHelpShort, validArgs, validCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### brigadierManager

    public BrigadierManager brigadierManager

#### cmdAdmin

    public CmdAdmin cmdAdmin

#### cmdAutoClaim

    public CmdAutoClaim cmdAutoClaim

#### cmdBoom

    public CmdBoom cmdBoom

#### cmdBypass

    public CmdBypass cmdBypass

#### cmdChat

    public CmdChat cmdChat

#### cmdChatSpy

    public CmdChatSpy cmdChatSpy

#### cmdClaim

    public CmdClaim cmdClaim

#### cmdConfig

    public CmdConfig cmdConfig

#### cmdCreate

    public CmdCreate cmdCreate

#### cmdDeinvite

    public CmdDeinvite cmdDeinvite

#### cmdDescription

    public CmdDescription cmdDescription

#### cmdDisband

    public CmdDisband cmdDisband

#### cmdFocus

    public CmdFocus cmdFocus

#### cmdGrace

    public CmdGrace cmdGrace

#### cmdHelp

    public CmdHelp cmdHelp

#### cmdHome

    public CmdHome cmdHome

#### cmdInvite

    public CmdInvite cmdInvite

#### cmdJoin

    public CmdJoin cmdJoin

#### cmdKick

    public CmdKick cmdKick

#### cmdLeave

    public CmdLeave cmdLeave

#### cmdList

    public CmdList cmdList

#### cmdLock

    public CmdLock cmdLock

#### cmdMap

    public CmdMap cmdMap

#### cmdMod

    public CmdMod cmdMod

#### cmdMoney

    public CmdMoney cmdMoney

#### cmdOpen

    public CmdOpen cmdOpen

#### cmdOwner

    public CmdOwner cmdOwner

#### cmdOwnerList

    public CmdOwnerList cmdOwnerList

#### cmdPeaceful

    public CmdPeaceful cmdPeaceful

#### cmdPermanent

    public CmdPermanent cmdPermanent

#### cmdPermanentPower

    public CmdPermanentPower cmdPermanentPower

#### cmdPowerBoost

    public CmdPowerBoost cmdPowerBoost

#### cmdPower

    public CmdPower cmdPower

#### cmdRelationAlly

    public CmdRelationAlly cmdRelationAlly

#### cmdRelationEnemy

    public CmdRelationEnemy cmdRelationEnemy

#### cmdRelationNeutral

    public CmdRelationNeutral cmdRelationNeutral

#### cmdRelationTruce

    public CmdRelationTruce cmdRelationTruce

#### cmdReload

    public CmdReload cmdReload

#### cmdSafeunclaimall

    public CmdSafeunclaimall cmdSafeunclaimall

#### cmdSaveAll

    public CmdSaveAll cmdSaveAll

#### cmdSethome

    public CmdSethome cmdSethome

#### cmdShow

    public CmdShow cmdShow

#### cmdStatus

    public CmdStatus cmdStatus

#### cmdStealth

    public CmdStealth cmdStealth

#### cmdStuck

    public CmdStuck cmdStuck

#### cmdTag

    public CmdTag cmdTag

#### cmdTitle

    public CmdTitle cmdTitle

#### cmdToggleAllianceChat

    public CmdToggleAllianceChat cmdToggleAllianceChat

#### cmdUnclaim

    public CmdUnclaim cmdUnclaim

#### cmdUnclaimall

    public CmdUnclaimall cmdUnclaimall

#### cmdVersion

    public CmdVersion cmdVersion

#### cmdWarunclaimall

    public CmdWarunclaimall cmdWarunclaimall

#### cmdSB

    public CmdSB cmdSB

#### cmdShowInvites

    public CmdShowInvites cmdShowInvites

#### cmdAnnounce

    public CmdAnnounce cmdAnnounce

#### cmdPaypalSet

    public CmdPaypalSet cmdPaypalSet

#### cmdPaypalSee

    public CmdPaypalSee cmdPaypalSee

#### cmdSeeChunk

    public CmdSeeChunk cmdSeeChunk

#### cmdConvert

    public CmdConvert cmdConvert

#### cmdFWarp

    public CmdFWarp cmdFWarp

#### cmdSetFWarp

    public CmdSetFWarp cmdSetFWarp

#### cmdDelFWarp

    public CmdDelFWarp cmdDelFWarp

#### cmdModifyPower

    public CmdModifyPower cmdModifyPower

#### cmdLogins

    public CmdLogins cmdLogins

#### cmdClaimLine

    public CmdClaimLine cmdClaimLine

#### cmdTop

    public CmdTop cmdTop

#### cmdAHome

    public CmdAHome cmdAHome

#### cmdPerm

    public CmdPerm cmdPerm

#### cmdPromote

    public CmdPromote cmdPromote

#### cmdDemote

    public CmdDemote cmdDemote

#### cmdSetDefaultRole

    public CmdSetDefaultRole cmdSetDefaultRole

#### cmdMapHeight

    public CmdMapHeight cmdMapHeight

#### cmdClaimAt

    public CmdClaimAt cmdClaimAt

#### cmdban

    public CmdBan cmdban

#### cmdUnban

    public CmdUnban cmdUnban

#### cmdbanlist

    public CmdBanlist cmdbanlist

#### cmdRules

    public CmdRules cmdRules

#### cmdCheckpoint

    public CmdCheckpoint cmdCheckpoint

#### cmdTnt

    public CmdTnt cmdTnt

#### cmdNear

    public CmdNear cmdNear

#### cmdUpgrades

    public CmdUpgrades cmdUpgrades

#### cmdVault

    public CmdVault cmdVault

#### cmdGetVault

    public CmdGetVault cmdGetVault

#### cmdFly

    public CmdFly cmdFly

#### cmdColeader

    public CmdColeader cmdColeader

#### cmdBanner

    public CmdBanner cmdBanner

#### cmdTpBanner

    public CmdTpBanner cmdTpBanner

#### cmdKillHolograms

    public CmdKillHolograms cmdKillHolograms

#### cmdInspect

    public CmdInspect cmdInspect

#### cmdCoords

    public CmdCoords cmdCoords

#### cmdShowClaims

    public CmdShowClaims cmdShowClaims

#### cmdLowPower

    public CmdLowPower cmdLowPower

#### cmdTntFill

    public CmdTntFill cmdTntFill

#### cmdChest

    public CmdChest cmdChest

#### cmdSetBanner

    public CmdSetBanner cmdSetBanner

#### cmdAlts

    public CmdAlts cmdAlts

#### cmdCorner

    public CmdCorner cmdCorner

#### cmdInventorySee

    public CmdInventorySee cmdInventorySee

#### cmdFGlobal

    public CmdFGlobal cmdFGlobal

#### cmdViewChest

    public CmdViewChest cmdViewChest

#### cmdPoints

    public CmdPoints cmdPoints

#### cmdLogout

    public CmdLogout cmdLogout

#### cmdShop

    public CmdShop cmdShop

#### cmdMissions

    public CmdMissions cmdMissions

#### cmdStrikes

    public CmdStrikes cmdStrikes

#### cmdCheck

    public CmdCheck cmdCheck

#### cmdWeeWoo

    public CmdWeeWoo cmdWeeWoo

#### cmdConvertConfig

    public CmdConvertConfig cmdConvertConfig

#### cmdSpawnerLock

    public CmdSpawnerLock cmdSpawnerLock

#### cmdSetDiscord

    public CmdSetDiscord cmdSetDiscord

#### cmdSeeDiscord

    public CmdSeeDiscord cmdSeeDiscord

#### cmdInviteBot

    public CmdInviteBot cmdInviteBot

#### cmdSetGuild

    public CmdSetGuild cmdSetGuild

### Constructor Detail

#### FCmdRoot

    public FCmdRoot()

### Method Detail

#### perform

    public void perform​(CommandContext context)

Specified by:
  `perform` in class `FCommand`

#### onCommand

    public boolean onCommand​(org.bukkit.command.CommandSender sender,
                             org.bukkit.command.Command command,
                             java.lang.String label,
                             java.lang.String[] args)

Specified by:
  `onCommand` in interface `org.bukkit.command.CommandExecutor`

#### addSubCommand

    public void addSubCommand​(FCommand subCommand)

Overrides:
  `addSubCommand` in class `FCommand`

#### getUsageTranslation

    public TL getUsageTranslation()

Specified by:
  `getUsageTranslation` in class `FCommand`